## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# URISupport::InvalidURIException Class Reference

Normalizes the string passed in, replacing \ with /. More...

Inheritance diagram for URISupport::InvalidURIException:

[legend]
Collaboration diagram for URISupport::InvalidURIException:

[legend]
List of all members.

## Public Member Functions

- InvalidURIException (const XalanDOMString &theMessage, MemoryManagerType &theManager)
    Construct an InvalidURIException.
- virtual ~InvalidURIException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Detailed Description

Normalizes the string passed in, replacing \ with /.

Parameters:

  urlString | string to normalize

Returns:
  a copy of the normalized URI

## Constructor & Destructor Documentation

URISupport::InvalidURIException::InvalidURIException | ( | const XalanDOMString & | theMessage,
|  | MemoryManagerType & | theManager
| ) |

  | Construct an InvalidURIException. Parameters:
  theMessage | the error message

virtual URISupport::InvalidURIException::~InvalidURIException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* URISupport::InvalidURIException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Implements XSLException.

The documentation for this class was generated from the following file:

- URISupport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.